<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'cachestore_memcached', language 'fa', branch 'MOODLE_36_STABLE'
 *
 * @package   cachestore_memcached
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['bufferwrites'] = 'بافر شدن';
$string['bufferwrites_help'] = 'ورودی/خروجی بافر شده را فعال یا غیرفعال می کند. فعال کردن ورودی/خروجی بافر شده موجب می شود حافظه به جای ارسال شدن به "بافر شدن" فرمان دهد. هر اقدامی که داده را بازیابی می کند موجب می شود این بافر به اتصال از راه دور ارسال شود. خروج از اتصال یا بستن اتصال هم موجب می شود داده بافر شده به اتصال از راه دور ارسال شود.';
$string['clustered'] = 'فعال کردن سرورهای گروهی';
$string['clusteredheader'] = 'سرورهای تقسیم';
$string['clustered_help'] = 'از آن برای مجاز بودن خواندن از یک محل، تنظیم برای چندین قابلیت عملکرد استفاده می شود.

هدف استفاده از آن ایجاد یک ذخیره بهبود یافته برای پیکربندی های بارگذاری متعادل است. ذخیره از یک سرور (معمولاً میزبان محلی) واکشی می شود ولی برای موارد زیادی تنظیم می شود (همه سرورها در منبع بارگذاری متعادل). برای حافظه های پنهان با خواندن بالا برای تنظیم نسبت ها، این حالت مقدار قابل توجهی سربار شبکه ذخیره می کند.

زمانی که این تنظیم فعال باشد، سرور لیست شده در بالا برای واکشی استفاده می شود.';
$string['hash'] = 'روش هش';
$string['hash_crc'] = 'CRC';
$string['hash_default'] = 'پیش فرض (هر بار یکی)';
$string['hash_fnv1_32'] = 'FNV1_32';
$string['hash_fnv1_64'] = 'FNV1_64';
$string['hash_fnv1a_32'] = 'FNV1A_32';
$string['hash_fnv1a_64'] = 'FNV1A_64';
$string['hash_help'] = 'الگوریتم هشینگ استفاده شده برای کلیدهای مورد را مشخص می کند. هر الگوریتم هش مزیت ها و مشکلات خود را دارد. اگر اطلاعی ندارید یا مطمئن نیستید از همان حالت پیش فرض استفاده کنید.';
$string['hash_hsieh'] = 'Hsieh';
$string['hash_md5'] = 'MD5';
$string['hash_murmur'] = 'Murmur';
$string['pluginname'] = 'memcached';
$string['prefix'] = 'کلید پیشوند';
$string['prefix_help'] = 'از آن برای ایجاد یک "دامنه" برای کلیدهای مورد شما استفاده می شود که به شما کمک می کند چندین ذخیره memcached در یک نصب memcached تکی ایجاد کنید. نباید بیشتر از 16 نویسه باشد تا طول کلید مشکلی ایجاد نکند.';
$string['prefixinvalid'] = 'پیشوند نامعتبر. فقط می توانید از a-z A-Z 0-9-_‎ استفاده کنید.';
$string['serialiser_igbinary'] = 'سریالایزر igbinary.';
$string['serialiser_json'] = 'سریالایزر JSO.';
$string['serialiser_php'] = 'سریالایزر PHP پیش فرض.';
$string['servers'] = 'سرورها';
$string['serversclusterinvalid'] = 'زمان فعال شدن گروه بندی، دقیقاً یک سرور مورد نیاز است.';
$string['servers_help'] = 'اینکار سرورهایی را تعیین می کند که می بایست توسط این آداپتور memcached استفاده شوند.
سرورها باید در هر خط تعیین شوند و شامل آدرس و در صورت دلخواه درگاه و حجم سرور شوند.
اگر درگاهی ارائه نشود در این صورت درگاه پیش فرض (11211) استفاده می شود.

برای مثال:
<pre>
server.url.com
ipaddress:port
servername:port:weight
</pre>

اگر *فعال کردن سرورهای گروهی* در زیر فعال باشد، تنها یک سرور در اینجا لیست می شود. این معمولاً نامی است که همیشه برای دستگاه محلی قابل درک است مانند 127.0.0.1 یا localhost.';
$string['sessionhandlerconflict'] = 'هشدار: یک نمونه memcached ({$a}) برای استفاده از سرور memcached مشابه به عنوان جلسات پیکربندی شده است. پاک شدن همه حافظه های پنهان موجب پاک شدن جلسات نیز می شود.';
$string['setservers'] = 'تنظیم سرورها';
$string['setservers_help'] = 'این لیست سرورهایی است که زمان تغییر داده ها در حافظه پنهان، به روزرسانی می شوند. به طور کلی نام واجد شرایط کامل هر سرور در منبع.
**باید** شامل سرور لیست شده در *سرورهای* بالا شود، حتی با یک نام میزبان متفاوت.
سرورها باید در هر خط تعیین شوند و شامل آدرس و در صورت دلخواه درگاه سرور شوند.
اگر درگاهی ارائه نشود در این صورت درگاه پیش فرض (11211) استفاده می شود.

برای مثال:
<pre>
server.url.com
ipaddress:port
</pre>';
$string['testservers'] = 'سرورهای بررسی';
$string['testservers_desc'] = 'یک یا تعداد بیشتری رشته های اتصال برای سرورهای memcached جهت بررسی. اگر یک سرور بررسی تعیین شده باشد پس عملکرد memcached با استفاده از صفحه عملکرد حافظه پنهان در بلوک مدیریت قابل بررسی است.
به عنوان مثال: 127.0.0.1:11211';
$string['usecompression'] = 'استفاده از فشرده سازی';
$string['usecompression_help'] = 'فشرده سازی ظرفیت بار را فعال یا غیرفعال می کند. زمانی که فعال باشد، مقادیر مورد بلندتر از سطح آستانه (در حال حاضر 100 بایت) در طول ذخیره سازی فشرده می شود و در طول بازیابی از حالت فشرده سازی خارج می شود.';
$string['useserialiser'] = 'استفاده از سریالایزر';
$string['useserialiser_help'] = 'سریالایزر را برای استفاده جهت سریالایز کردن مقادیر غیر اسکالر تعیین می کند.
سریالایزرهای معتبر memcached هستند::SERIALIZER_PHP یا memcached::SERIALIZER_IGBINARY.
مورد دوم تنها زمانی پشتیبانی می شود که memcached با --فعال کردن--گزینه memcached پیکربندی شود و پسوند igbinary بارگیری شود.';
